# FoundationClasses
TKMath
TColgp

# TColgp_SequenceNodeOfSequenceOfXYZ Class Reference

`#include <TColgp_SequenceNodeOfSequenceOfXYZ.hxx>`

Inheritance diagram for TColgp_SequenceNodeOfSequenceOfXYZ:

[legend]

## Public Member Functions

| TColgp_SequenceNodeOfSequenceOfXYZ (const gp_XYZ &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
gp_XYZ & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | myValue

## Constructor & Destructor Documentation

TColgp_SequenceNodeOfSequenceOfXYZ::TColgp_SequenceNodeOfSequenceOfXYZ | ( | const gp_XYZ & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TColgp_SequenceNodeOfSequenceOfXYZ::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

gp_XYZ& TColgp_SequenceNodeOfSequenceOfXYZ::Value | ( |  | ) | const

## Field Documentation

gp_XYZ TColgp_SequenceNodeOfSequenceOfXYZ::myValue `[private]`

The documentation for this class was generated from the following file:

- TColgp_SequenceNodeOfSequenceOfXYZ.hxx